PUT: Modify Database Backup Settings
You can view and modify the current backup settings for the conductor database on the web UI at Settings>Backups. The following command allows you to modify these settings via REST.
HTTP Request and Response
Request URL
PUT http://<Conductor IP address>/cluster/backups
Call Header
-
Accept: Set to
application/xml -
Content-Type: Set to
application/xml
If you are implementing user authentication, you must also include three authorization headers; see Header Content for User Authentication.
Request Body
The response contains XML content consisting of one backup
element with the following elements.
| Element | Value | Description |
|---|---|---|
| database_backup_dir | string | The directory where backup files are stored. Default: /home/elemental/database_backups |
| database_backup_count | integer | The number of backups stored in the system. Default: 5 |
| database_backup_minutes | integer | The time , in minutes, between automatic backups. Default: 1440 |
Example
This request changes the backup directory to /home/elemental/database_backups, sets the system to retain the 6 most recent backups and sets the time between backups to three hours.
PUT http://198.51.100.0/cluster/backups ------------------------------------------ Content-type:application/vnd.elemental+xml;version=3.3.0 Accept:application/xml------------------------------------------ <?xml version="1.0" encoding="UTF-8"?> <backup> <database_backup_dir>/home/elemental/database_backups2</database_backup_dir> <database_backup_count>6</database_backup_ count> <database_backup_minutes>180</database_backup_minutes> </backup>